Getting tk working on ubuntu

I need some help getting tk working on ubuntu… I reinstalled ruby
from source being under the impression that tk would be built-in this
time around. i still get:

LoadError: no such file to load – tk

when i try require ‘tk’

i have apt-get installed: libtcltk-ruby , tk8.4-dev …

please help!

Stuart

LoadError: no such file to load – tk

You need the packages tcl and tk installed, possibly the -dev packages
for each of them.
Best to seek the versions in ubuntu that work with your OS version if
you want binary packages
Installing tcl and tk from source should work.

Gerald

On Tue, 04 Sep 2007 18:42:19 -0700, Gerald M. wrote:

LoadError: no such file to load – tk

You need the packages tcl and tk installed, possibly the -dev
packages for each of them. Best to seek the versions in ubuntu
that work with your OS version if you want binary packages
Installing tcl and tk from source should work.

Gerald

Mu Ubuntu install has:
tcl18.4-dev
tk8.4-dev
tcl8.4
tk8.4
tk8.4-doc
libtk-ruby
libcltk-ruby

-which are up to date with the latest ruby and the current Ubuntu.
All packages installed with aptitude.


Chris G.

He who laughs last thinks slowest!

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs